<main>
    <div class="container-xl">
        <h4>Base Stats</h4>
        <h5>Type:</h5>
        <ul>
            <li *ngFor="let type of details?.types">{{type.type.name}}</li>
        </ul>
        <h5>Base Stats:</h5>
        <ul>
            <li *ngFor="let stat of details?.stats">{{stat.stat.name}}: {{stat.base_stat}}</li>
        </ul>
    </div>
    <div class="container-xl">
        <h4>Profile: </h4>
        <ul>
            <li>Height: {{details?.height}}</li>
            <li>Weight: {{details?.weight}}</li>
            <li>Base Experience: {{details?.base_experience}}</li>
        </ul>
        <h5>Abilities</h5>
        <ul>
            <li *ngFor="let ab of details?.abilities">{{ab.ability.name}}</li>
        </ul>
    </div>
    <div class="container-xl">
        <h4>Moves: </h4>
        <ul>
            <li *ngFor="let move of details?.moves">{{move.move.name}}</li>
        </ul>
    </div>

</main>